#if !defined(AFX_TRADEDLG_H__B9D57B8C_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
#define AFX_TRADEDLG_H__B9D57B8C_2218_11D4_9FB5_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TradeDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTradeDlg dialog

class CTradeDlg : public CDialog
{
// Construction
public:
	CTradeDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTradeDlg)
	enum { IDD = IDD_TRADEDLG };
	CTradeSet*	m_pSet;
	//}}AFX_DATA


	bool m_IsNew;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTradeDlg)
	public:
	virtual int DoModal( CTradeSet& TradeSet, bool IsAdd, int StockID );
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTradeDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRADEDLG_H__B9D57B8C_2218_11D4_9FB5_080009EE62AA__INCLUDED_)
